%define name	gammu
%define version	1.01.0
%define release	1mdk

%define major 0.0
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} %major -d


Summary:		Mobile phones tools for Unix (Linux) and Win32
Name:			%{name}
Version:		%{version}
Release:		%{release}
License:		GPL
Group:			Communications
Source:			%{name}-%{version}.tar.bz2
URL:			http://www.mwiacek.com/gsm/gammu/gammu.html
BuildRoot:		%{_tmppath}/%{name}-%{version}-root
BuildRequires:		libbluez-devel	

%description
Gammu can do such things with cellular phones as making data calls,
updating the address book, changing calendar and ToDo entries, sending and
receiving SMS messages, loading and getting ring tones and pictures (different
types of logos), synchronizing time, enabling NetMonitor, managing WAP
settings and bookmarks and much more. Functions depend on the phone model.

%package -n %libname
Summary: Mobile phones tools for Unix (Linux) and Win32 (libraries)
Group: System/Libraries

%description -n %libname
Gammu can do such things with cellular phones as making data calls,
updating the address book, changing calendar and ToDo entries, sending and
receiving SMS messages, loading and getting ring tones and pictures (different
types of logos), synchronizing time, enabling NetMonitor, managing WAP
settings and bookmarks and much more. Functions depend on the phone model.

%package -n %libnamedev
Summary:		Headers and pkgconfig file for Gammu development
Group:			Development/Other
Requires:		%libname = %version
Provides:		libgammu-devel

%description -n %libnamedev
This package contains the headers and pkgconfig file that programmers
will need to develop applications which will use libGammu.

%prep
%setup -q

%build
%configure --enable-cb --enable-7110incoming \
	--with-docdir=%{_docdir}/%{name}-%{version}
%{__make}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} installlib
%__mkdir_p %{buildroot}%{_sysconfdir}
%__sed -e 's|^port =.*$|port = /dev/ttyS0|' \
         -e 's|^connection =.*$|connection = dlr3|' \
         -e 's/
$//' \
         < docs/examples/config/gammurc > %{buildroot}%{_sysconfdir}/gammurc

%files 
%defattr(-,root,root)
%doc changelog copying readme.txt docs/examples docs/docs
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/gammurc
%attr(0755,root,root) %{_bindir}/gammu
%{_datadir}/gammu
%{_mandir}/man1/gammu.1*

%files -n %libname
%defattr(-,root,root)
%attr(0755,root,root) %_libdir/*.so.*

%files -n %libnamedev
%defattr(-,root,root)
%doc docs/develop/*
%attr(0755,root,root) %{_libdir}/libGammu.so.0
%attr(0755,root,root) %{_libdir}/libGammu.so
%attr(0755,root,root) %{_libdir}/libGammu.a
%{_includedir}/gammu
%{_libdir}/pkgconfig/gammu.pc

%clean
rm -rf %{buildroot}

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%changelog
* Wed Apr 13 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.01.0-1mdk
- 1.01.0

* Tue Mar 01 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.00.10-1mdk
- 1.00.10

* Mon Feb 21 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.00.04-1mdk
- 1.00.04

* Wed Feb 9 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.00.0-1mdk
- 1.00.0

* Mon Jan 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.99.22-1mdk
- 0.99.22

* Mon Oct 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.99.0-1mdk
- 0.99.0

* Fri Sep 24 2004 Erwan Velu <erwan@mandrakesoft.com> 0.98.0-1mdk
- Initial mdk package
